<template>
  <div class="flex gap-3 p-4 w-fit items-center">
    <p v-if="prependText">
      {{ prependText }}
    </p>

    <div>
      <Icon
        icon="ic:baseline-arrow-forward"
        class="w-4 h-4"
      />
    </div>

    <p v-if="appendText">
      {{ appendText }}
    </p>
  </div>
</template>

<script setup>
import { Icon } from "@iconify/vue";

const props = defineProps({
  prependText: {
    type: String,
    default: null
  },
  appendText: {
    type: String,
    default: ''
  },
})
</script>

<style scoped>

</style>